.wcpay-payment-element {
    margin-bottom: 2rem
}

.wcpay-card-mounted {
    background-color: #fff
}

#express-payment-method-platform_checkout {
    width: 100%
}

.wc-block-components-main .wc-block-components-checkout-step--with-step-number .wc-block-components-checkout-step__content>:last-child {
    padding: 0
}

#contact-fields {
    padding-bottom: 1.5em
}

button.wcpay-stripelink-modal-trigger {
    display: none;
    position: absolute;
    right: 5px;
    width: 64px;
    height: 40px;
    background: no-repeat url(data:image/svg+xml;base64,PHN2ZyB2ZXJzaW9uPSIxLjAiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgd2lkdGg9IjY0IiBoZWlnaHQ9IjQwIiB2aWV3Qm94PSIwIDAgNjAwLjAwMDAwMCAyMjcuMDAwMDAwIj48ZyB0cmFuc2Zvcm09InRyYW5zbGF0ZSgxMDAuMDAwMDAwLDIyMC4wMDAwMDApIHNjYWxlKDAuMDgwMDAwLC0wLjA4MDAwMCkiIGZpbGw9IiMwMDAwMDAiIHN0cm9rZT0ibm9uZSI+PHBhdGggZD0iTTg0NyAyMjYwIGMtMTM2IC00MyAtMTg1IC0yMTkgLTkxIC0zMjggOTIgLTEwOCAyNjMgLTg5IDMzMyAzNyA3MCAxMjYgLTE5IDI4OSAtMTYxIDI5NyAtMjkgMiAtNjYgLTEgLTgxIC02eiI+PC9wYXRoPjxwYXRoIGQ9Ik0wIDExNDAgbDAgLTExMTAgMTgzIDIgMTgyIDMgMyAxMTA4IDIgMTEwNyAtMTg1IDAgLTE4NSAwIDAgLTExMTB6Ij48L3BhdGg+PHBhdGggZD0iTTM1MjAgMTMyNSBsMCAtOTI2IC0zNyAtMTcgYy0yMyAtMTAgLTY2IC0xNiAtMTA4IC0xNyAtNTcgMCAtNzYgNAotMTAyIDIzIC01NyA0MCAtNjEgNzEgLTY3IDQzNyAtNSAzNjAgLTE3IDQ1NCAtNzAgNTcwIC04MCAxNzUgLTI4NyAyNzQgLTQ5MwoyMzMgLTI3NiAtNTQgLTQ3MCAtMjI0IC03MzggLTY0OSBsLTkwIC0xNDIgLTMgMzg2IC0yIDM4NyAtMTgwIDAgLTE4MCAwIDAKLTc5MCAwIC03OTAgMTY5IDAgMTY5IDAgMzcgODcgYzExMSAyNTggMjk3IDU4OSA0MzggNzc4IDIzNiAzMTcgNDU0IDQzMiA1MzAKMjgwIDMxIC02MyAzOSAtMTQ1IDQ3IC00NTUgNiAtMjU1IDExIC0zMjUgMjUgLTM3MCA3OSAtMjUzIDI5MiAtMzc5IDU3NSAtMzQyCjIzOSAzMiA0MzggMTQ0IDY4OCAzODcgNzcgNzUgMTM2IDEyNSAxNDAgMTE5IDQgLTYgNzQgLTExNyAxNTUgLTI0NyBsMTQ4Ci0yMzcgMjA0IDAgYzEyNiAwIDIwNiA0IDIxMCAxMCAzIDYgLTEwNCAxODcgLTIzOSA0MDMgbC0yNDYgMzkzIDgwIDEyMSBjOTkKMTUyIDIxMiAzNDcgMjk1IDUxNCAzNiA3MSA2NSAxMzEgNjUgMTM0IDAgMyAtOTEgNSAtMjAyIDUgbC0yMDMgLTEgLTc0IC0xMzcKYy0xMzkgLTI1OSAtMzEzIC01MTQgLTQ4NiAtNzEzIGwtODAgLTkxIC01IDc4OCAtNSA3ODkgLTE4MiAzIC0xODMgMiAwIC05MjV6Ij48L3BhdGg+PHBhdGggZD0iTTczMCA4MjAgbDAgLTc5MCAxODAgMCAxODAgMCAwIDc5MCAwIDc5MCAtMTgwIDAgLTE4MCAwIDAgLTc5MHoiPjwvcGF0aD48L2c+PC9zdmc+);
    background-color: transparent;
    cursor: pointer;
    border: none
}

button.wcpay-stripelink-modal-trigger:hover {
    background-color: transparent;
    border-color: transparent
}

#contact_details {
    float: none
}

#contact_details+#customer_details {
    display: block
}

#contact-fields .wc-block-components-text-input,
#contact-fields .woocommerce-input-wrapper,
.platform-checkout-billing-email .wc-block-components-text-input,
.platform-checkout-billing-email .woocommerce-input-wrapper {
    display: inline-block;
    position: relative;
    width: 100%
}

#contact-fields .wc-block-components-text-input .wc-block-components-spinner,
#contact-fields .woocommerce-input-wrapper .wc-block-components-spinner,
.platform-checkout-billing-email .wc-block-components-text-input .wc-block-components-spinner,
.platform-checkout-billing-email .woocommerce-input-wrapper .wc-block-components-spinner {
    right: 10px;
    width: 24px
}

.platform-checkout-login-session-iframe {
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 355000;
    border: 0;
    background: #fff;
    visibility: hidden
}

.platform-checkout-login-session-iframe.open {
    transition: top 500ms;
    visibility: visible
}

@media screen and (min-width: 768px) {
    .platform-checkout-login-session-iframe-wrapper {
        position: fixed;
        background: rgba(117, 117, 117, .6);
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        content: " ";
        display: block;
        z-index: 355000
    }
    .platform-checkout-login-session-iframe-wrapper .platform-checkout-login-session-iframe {
        transition: none;
        height: 90vh;
        max-height: 520px;
        position: absolute;
        max-width: 374px;
        border-radius: 8px
    }
}

.platform-checkout-otp-iframe {
    transition: top 500ms;
    width: 100%;
    height: 100vh;
    position: fixed;
    top: 100%;
    left: 0;
    z-index: 355000;
    border: 0;
    background: #fff
}

.platform-checkout-otp-iframe.open {
    top: 0
}

.platform-checkout-otp-iframe-wrapper .arrow {
    position: fixed;
    top: 100%
}

@media screen and (min-width: 768px) {
    .platform-checkout-otp-iframe-wrapper {
        position: fixed;
        background: rgba(117, 117, 117, .6);
        top: 0;
        left: 0;
        width: 100vw;
        height: 100vh;
        content: " ";
        display: block;
        z-index: 355000
    }
    .platform-checkout-otp-iframe-wrapper .platform-checkout-otp-iframe {
        transition: none;
        height: 90vh;
        max-height: 600px;
        position: absolute;
        max-width: 374px;
        border-radius: 8px;
        right: 50px;
        left: auto
    }
    .platform-checkout-otp-iframe-wrapper .arrow {
        position: absolute;
        right: 7.5px;
        background: transparent;
        width: 0;
        height: 0;
        z-index: 355001;
        border-top: 15px solid transparent;
        border-bottom: 15px solid transparent;
        border-right: 15px solid #fff
    }
}

.woopay-express-button {
    font-size: 20px;
    font-weight: normal;
    font-family: "SF Pro Text", "Helvetica Neue", "Helvetica", "Roboto", "Arial", sans-serif;
    line-height: 42px;
    background: #fff;
    border: 1px solid #fff;
    color: #674399;
    width: 100%;
    border-radius: 4px;
    padding-top: 1px;
    padding-bottom: 1px;
    display: flex;
    align-items: center;
    justify-content: center;
    white-space: nowrap
}

.woopay-express-button svg {
    fill: #674399;
    position: relative;
    top: 1px
}

.woopay-express-button[data-theme=dark] {
    background: #674399;
    color: #fff
}

.woopay-express-button[data-theme=dark] svg {
    fill: #fff
}

.woopay-express-button[data-theme=light-outline] {
    border-color: #674399
}

.woopay-express-button[data-size=medium] {
    font-size: 25px;
    line-height: 48px
}

.woopay-express-button[data-size=medium] svg {
    top: 2px;
    width: auto;
    height: 27px
}

.woopay-express-button[data-size=large] {
    font-size: 29px;
    line-height: 56px
}

.woopay-express-button[data-size=large] svg {
    top: 3px;
    width: auto;
    height: 32px
}

.woopay-express-button[data-type=buy] svg,
.woopay-express-button[data-type=book] svg,
.woopay-express-button[data-type=donate] svg {
    margin-left: 8px
}

.woopay-express-button[data-type=buy][data-size=medium] svg,
.woopay-express-button[data-type=buy][data-size=large] svg,
.woopay-express-button[data-type=book][data-size=medium] svg,
.woopay-express-button[data-type=book][data-size=large] svg,
.woopay-express-button[data-type=donate][data-size=medium] svg,
.woopay-express-button[data-type=donate][data-size=large] svg {
    margin-left: 10px
}